---
title: RTCIceCandidateInit
slug: Web/API/RTCIceCandidateInit
tags:
  - API
  - Candidate
  - Dictionary
  - ICE
  - Interface
  - RTCIceCandidateInit
  - Reference
  - SDP
  - WebRTC
  - WebRTC API
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API's</a> {{domxref("RTCIceCandidateInit")}} dictionary, which contains the information needed to fundamentally describe an {{domxref("RTCIceCandidate")}}.</span> <code>RTCIceCandidateInit</code> is used when using {{domxref("RTCIceCandidate.RTCIceCandidate", "new RTCIceCandidate()")}} to create a new ICE candidate object. It's also used as the return value from the {{domxref("RTCIceCandidate.toJSON()")}} method, and can be passed directly into {{domxref("RTCPeerConnection.addIceCandidate()")}} to add a candidate to the peer connection.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("RTCIceCandidateInit.candidate", "candidate")}} {{optional_inline}}</dt>
 <dd>The ICE <code>candidate-attribute</code>. If the candidate is an indicator that there are no further candidates (rather than representing a new candidate), this is the empty string (<code>""</code>). The default is the empty string.</dd>
 <dt>{{domxref("RTCIceCandidateInit.sdpMid", "sdpMid")}} {{optional_inline}}</dt>
 <dd>The identification tag of the media stream with which the candidate is associated, or <code>null</code> if there is no associated media stream. The default is <code>null</code>.</dd>
 <dt>{{domxref("RTCIceCandidateInit.sdpMLineIndex", "sdpMLineIndex")}} {{optional_inline}}</dt>
 <dd>The zero-based index of the m-line within the SDP of the media description with which the candidate is associated, or <code>null</code> if no such associated exists. The default is <code>null</code>.</dd>
 <dt>{{domxref("RTCIceCandidateInit.usernameFragment", "usernameFragment")}} {{optional_inline}}</dt>
 <dd>A {{domxref("DOMString")}} containing a string which uniquely identifies the remote peer. This string is generated by WebRTC at the beginning of the session, and at least 24 bits worth of the string contain random data. The string may be up to 256 characters long. This property has no default value and is not present unless set explicitly.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcicecandidateinit', 'RTCIceCandidateInit')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceCandidateInit")}}</p>
</div>
